Package csb :: Module build :: Class RevisionHandler

[frames] | no frames]

# Class RevisionHandler

source code

    object --+
             |
            RevisionHandler

Known Subclasses:
  - GitHandler
  - , MercurialHandler
  - , SubversionHandler

Determines the current repository revision number of a working copy.

Instance Methods

__init__(self, path, sc) x.__init__(...) initializes x; see help(type(x)) for signature | source code

RevisionInfo

read(self) Return the current revision information. | source code

write(self, revision, sourcefile) Finalize the __version__ = major.minor.micro. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| path
| sc
Inherited from `object`: `__class__`

Method Details

### __init__(self, path, sc)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `path` (str) - a local checkout path to be examined
  - `sc` (str) - name of the source control program
Overrides: object.__init__
  (inherited documentation)

### write(self, revision, sourcefile)

source code

Finalize the __version__ = major.minor.micro.{revision} tag. Overwrite `sourcefile` in place by substituting the {revision} macro.

Parameters:
  - `revision` (int) - revision number to write to the source file.
  - `sourcefile` (str) - python source file with a __version__ tag, typically "csb/__init__.py"
Returns:
  sourcefile.__version__

Property Details

### path

Get Method:
  unreachable.path(self)

### sc

Get Method:
  unreachable.sc(self)